<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/slot_imx27.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/slot_imx27.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * i.MX27 SDHC definitions.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef _SLOT_IMX27_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define _SLOT_IMX27_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="comment">/*</span>
00013 <span class="comment"> * i.MX27 SDHC registers.</span>
00014 <span class="comment"> */</span>
00015 
00016 <span class="preprocessor">#define SDHC_STR_STP_CLK  0x00</span>
00017 <span class="preprocessor"></span><span class="preprocessor">#  define STR_STP_CLK_MMCSD_RESET 0x0008</span>
00018 <span class="preprocessor"></span><span class="preprocessor">#  define STR_STP_CLK_START_CLK   0x0002</span>
00019 <span class="preprocessor"></span><span class="preprocessor">#  define STR_STP_CLK_STOP_CLK    0x0001</span>
00020 <span class="preprocessor"></span>
00021 <span class="preprocessor">#define SDHC_STATUS       0x04</span>
00022 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_CARD_PRESENCE    0x8000</span>
00023 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_SDIO_INT_ACTIVE  0x4000</span>
00024 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_END_CMD_RESP     0x2000</span>
00025 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_WRITE_OP_DONE    0x1000</span>
00026 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_READ_OP_DONE     0x0800</span>
00027 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_CARD_BUS_CLK_RUN 0x0100</span>
00028 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_APPL_BUFF_FF     0x0080</span>
00029 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_APPL_BUFF_FE     0x0040</span>
00030 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_RESP_CRC_ERR     0x0020</span>
00031 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_CRC_READ_ERR     0x0008</span>
00032 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_CRC_WRITE_ERR    0x0004</span>
00033 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_TIME_OUT_RESP    0x0002</span>
00034 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_TIME_OUT_READ    0x0001</span>
00035 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_ERR_CMD_MASK     (STATUS_RESP_CRC_ERR | STATUS_TIME_OUT_RESP)</span>
00036 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_ERR_DATA_MASK    (STATUS_CRC_READ_ERR | STATUS_CRC_WRITE_ERR | STATUS_TIME_OUT_READ)</span>
00037 <span class="preprocessor"></span><span class="preprocessor">#  define STATUS_ERR_MASK         (STATUS_ERR_CMD_MASK | STATUS_ERR_DATA_MASK)</span>
00038 <span class="preprocessor"></span>
00039 <span class="preprocessor">#define SDHC_CLK_RATE     0x08</span>
00040 <span class="preprocessor"></span>
00041 <span class="preprocessor">#define SDHC_CMD_DAT_CTRL 0x0c </span><span class="comment">/* CMD_DAT_CONT */</span>
00042 <span class="preprocessor">#  define CMD_DAT_CTRL_CMD_RESUME        0x8000</span>
00043 <span class="preprocessor"></span><span class="preprocessor">#  define CMD_DAT_CTRL_CMD_RESP_LONG_OFF 0x1000</span>
00044 <span class="preprocessor"></span><span class="preprocessor">#  define CMD_DAT_CTRL_STOP_READ_WAIT    0x0800</span>
00045 <span class="preprocessor"></span><span class="preprocessor">#  define CMD_DAT_CTRL_START_READ_WAIT   0x0400</span>
00046 <span class="preprocessor"></span><span class="preprocessor">#  define CMD_DAT_CTRL_BUS_WIDTH_4       0x0200</span>
00047 <span class="preprocessor"></span><span class="preprocessor">#  define CMD_DAT_CTRL_INIT              0x0080</span>
00048 <span class="preprocessor"></span><span class="preprocessor">#  define CMD_DAT_CTRL_WRITE             0x0010</span>
00049 <span class="preprocessor"></span><span class="preprocessor">#  define CMD_DAT_CTRL_DATA_ENABLE       0x0008</span>
00050 <span class="preprocessor"></span><span class="preprocessor">#  define CMD_DAT_CTRL_RESP_NONE         0x0000</span>
00051 <span class="preprocessor"></span><span class="preprocessor">#  define CMD_DAT_CTRL_RESP_R1_R5_R6     0x0001</span>
00052 <span class="preprocessor"></span><span class="preprocessor">#  define CMD_DAT_CTRL_RESP_R2           0x0002</span>
00053 <span class="preprocessor"></span><span class="preprocessor">#  define CMD_DAT_CTRL_RESP_R3_R4        0x0003</span>
00054 <span class="preprocessor"></span>
00055 <span class="preprocessor">#define SDHC_RES_TO       0x10</span>
00056 <span class="preprocessor"></span>
00057 <span class="preprocessor">#define SDHC_READ_TO      0x14</span>
00058 <span class="preprocessor"></span><span class="preprocessor">#  define READ_TO_RECOMMENDED 0x2db4</span>
00059 <span class="preprocessor"></span>
00060 <span class="preprocessor">#define SDHC_BLK_LEN      0x18</span>
00061 <span class="preprocessor"></span>
00062 <span class="preprocessor">#define SDHC_NOB          0x1c</span>
00063 <span class="preprocessor"></span>
00064 <span class="preprocessor">#define SDHC_REV_NO       0x20</span>
00065 <span class="preprocessor"></span>
00066 <span class="preprocessor">#define SDHC_INT_CTRL     0x24 </span><span class="comment">/* INT_CNTR */</span>
00067 <span class="preprocessor">#  define INT_CTRL_CARD_INSERTION_EN 0x8000</span>
00068 <span class="preprocessor"></span><span class="preprocessor">#  define INT_CTRL_SDIO_REMOVAL_EN   0x4000</span>
00069 <span class="preprocessor"></span><span class="preprocessor">#  define INT_CTRL_SDIO_IRQ_EN       0x2000</span>
00070 <span class="preprocessor"></span><span class="preprocessor">#  define INT_CTRL_DAT0_EN           0x1000</span>
00071 <span class="preprocessor"></span><span class="preprocessor">#  define INT_CTRL_BUF_READ_EN       0x0010</span>
00072 <span class="preprocessor"></span><span class="preprocessor">#  define INT_CTRL_BUF_WRITE_EN      0x0008</span>
00073 <span class="preprocessor"></span><span class="preprocessor">#  define INT_CTRL_END_CMD_RES       0x0004</span>
00074 <span class="preprocessor"></span><span class="preprocessor">#  define INT_CTRL_WRITE_OP_DONE     0x0002</span>
00075 <span class="preprocessor"></span><span class="preprocessor">#  define INT_CTRL_READ_OP_DONE      0x0001</span>
00076 <span class="preprocessor"></span><span class="preprocessor">#  define INT_CTRL_INT_EN_MASK       0xe01f</span>
00077 <span class="preprocessor"></span>
00078 <span class="preprocessor">#define SDHC_CMD          0x28</span>
00079 <span class="preprocessor"></span>
00080 <span class="preprocessor">#define SDHC_ARG          0x2c</span>
00081 <span class="preprocessor"></span>
00082 <span class="preprocessor">#define SDHC_RES_FIFO     0x34</span>
00083 <span class="preprocessor"></span>
00084 <span class="preprocessor">#define SDHC_BUFFER_ACCESS 0x38</span>
00085 <span class="preprocessor"></span>
00086 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef _SLOT_IMX27_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
